// BitmapLoadView.h : Schnittstelle der Klasse CBitmapLoadView
//


#pragma once


class CBitmapLoadView : public CScrollView
{
protected: // Nur aus Serialisierung erstellen
	CBitmapLoadView();
	DECLARE_DYNCREATE(CBitmapLoadView)

// Attribute
public:
	CBitmapLoadDoc* GetDocument() const;

// Operationen
public:

// berschreibungen
	public:
	virtual void OnDraw(CDC* pDC);  // berladen, um diese Ansicht darzustellen
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementierung
public:
	virtual ~CBitmapLoadView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	// Diese Datei soll dargestellt werden:
	CImage *image;
	// Initialgre des Fensters:
	CSize sizeInitial;
// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
public:
	// Toolbar-Button "Bitmap laden"
	void OnLoadBitmap(void);
	
};

#ifndef _DEBUG  // Debugversion in BitmapLoadView.cpp
inline CBitmapLoadDoc* CBitmapLoadView::GetDocument() const
   { return reinterpret_cast<CBitmapLoadDoc*>(m_pDocument); }
#endif

